Skip to content
BolderBolder API
Esc
navigateopen⌘Jpreview

List shop contacts

Returns a paginated list of contacts (customers) for a shop. Requires admin scope.

GET/shops/{shop_id}/contacts
Authorization
AuthorizationBearer token (JWT) · headerrequired
OAuth 2.0 Bearer token. Obtain via `POST https://auth.onbolder.com/oauth/token`.
Scopes:admin
Path parameters
shop_idstringrequired
Shop ID or subdomain
Query parameters
pageinteger
Page number
default: 1
per_pageinteger
Items per page
default: 50
qstring
Full-text search (name, email)
created_on_gtestring<date>
created_on_ltestring<date>
updated_on_gtestring<date>
updated_on_ltestring<date>
sortstring
Responses
200Paginated contacts list
total_itemsinteger
pageinteger
per_pageinteger
_linksobject
Show properties
selfHalLink
Show properties
hrefstring
methodstring
titlestring
typestring
templatedboolean
nextHalLink
Show properties
hrefstring
methodstring
titlestring
typestring
templatedboolean
lastHalLink
Show properties
hrefstring
methodstring
titlestring
typestring
templatedboolean
_embeddedobject
Show properties
itemsContactFull[]
Show properties
Array of ContactFull
idinteger
namestring
emailstring
phone_numberstring
companystring
opt_inboolean
available_orders_countinteger
created_onstring<date-time>
updated_onstring<date-time>
Request
curl -X GET "https://api.onbolder.com/v1/shops/string/contacts" \
  -H "Authorization: Bearer YOUR_TOKEN"
Response
{
  "total_items": 0,
  "page": 0,
  "per_page": 0,
  "_links": {
    "self": {
      "href": "string",
      "method": "string",
      "title": "string",
      "type": "string",
      "templated": true
    },
    "next": {
      "href": "string",
      "method": "string",
      "title": "string",
      "type": "string",
      "templated": true
    },
    "last": {
      "href": "string",
      "method": "string",
      "title": "string",
      "type": "string",
      "templated": true
    }
  },
  "_embedded": {
    "items": [
      {
        "id": 0,
        "name": "string",
        "email": "string",
        "phone_number": "string",
        "company": "string",
        "opt_in": true,
        "available_orders_count": 0,
        "created_on": "2019-08-24T14:15:22Z",
        "updated_on": "2019-08-24T14:15:22Z"
      }
    ]
  }
}